Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.loom
Class LoomXFireServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.codehaus.xfire.transport.http.XFireServlet
                  org.codehaus.xfire.loom.LoomXFireServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, org.apache.avalon.framework.service.Serviceable

    public class LoomXFireServlet

extends XFireServlet
implements org.apache.avalon.framework.service.Serviceable

An XFire servlet which obtains its XFire instance from a ServiceManager

Author:
  peter.royal
See Also:
  Serialized Form

Constructor Summary
`LoomXFireServlet()`

Method Summary
`XFire` | `createXFire()`
`void` | `service(org.apache.avalon.framework.service.ServiceManager manager)`

Methods inherited from class org.codehaus.xfire.transport.http.XFireServlet
`createController, doGet, doPost, getController, getXFire, init`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoomXFireServlet

    public LoomXFireServlet()

Method Detail

### service

    public void service(org.apache.avalon.framework.service.ServiceManager manager)
                 throws org.apache.avalon.framework.service.ServiceException

  Specified by:
    `service` in interface `org.apache.avalon.framework.service.Serviceable`
  Throws:
    `org.apache.avalon.framework.service.ServiceException`

### createXFire

    public XFire createXFire()
                      throws javax.servlet.ServletException

  Overrides:
    `createXFire` in class `XFireServlet`
  Throws:
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.